Bug 99531 - dbus error while using meld
Summary: dbus error while using meld
Status: RESOLVED NOTOURBUG
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: D-Bus Maintainers
QA Contact: D-Bus Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-25 10:11 UTC by Niraj Kumar Pandey
Modified: 2017-02-06 12:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Niraj Kumar Pandey 2017-01-25 10:11:07 UTC
I am getting the following error messages when I use meld. I am getting this error when I login on host via "ssh -X hostname" from another host

process 140178: D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/etc/machine-id": No such file or directory See the manual page for dbus-uuidgen to correct this issue. D-Bus not built with -rdynamic so unable to print a backtrace Abort

PS: It's working fine when I login on hostname directly through vnc.

Getting error only when I login on host from rsh/ssh from some other host
Comment 1 Philip Withnall 2017-01-26 11:22:20 UTC
Do either of these two files exist?
 - /etc/machine-id
 - /var/lib/dbus/machine-id

Are those file systems read-only or is there some other permissions issue which would prevent the D-Bus daemon user from writing to them?
Comment 2 Simon McVittie 2017-01-26 18:34:15 UTC
(In reply to Niraj Kumar Pandey from comment #0)
> I am getting this
> error when I login on host via "ssh -X hostname" from another host

Please answer Philip's question for both hosts - the one you are ssh'ing from, and the one you are ssh'ing to.

I suspect that something might be going wrong here as a result of D-Bus having historical code to support sharing X11 over TCP, D-Bus over TCP, home directories over NFS and user IDs over NIS, which was apparently an important use case in 2002 when the project started.

This might be a sign that it's time to just rip out that code.

> PS: It's working fine when I login on hostname directly through vnc.

I would recommend not attempting to use non-trivial GUI apps via X-forwarding in this decade. X-forwarding breaks lots of assumptions that apps usually make; other remoting technologies (VNC, RFB, Spice) don't have that issue, because they give the app a consistent picture of which machine it's running on, rather than a "split brain" situation.
Comment 3 Niraj Kumar Pandey 2017-01-30 05:52:37 UTC
I do not see "/etc/machine-id" file but yes "/var/lib/dbus/machine-id" file exist on system

ls -lrt /var/lib/dbus/machine-id
-rw-r--r-- 1 root root 33 Dec 12  2014 /var/lib/dbus/machine-id
Comment 4 Philip Withnall 2017-01-30 09:48:10 UTC
(In reply to Niraj Kumar Pandey from comment #3)
> I do not see "/etc/machine-id" file but yes "/var/lib/dbus/machine-id" file
> exist on system

Which system does it exist on? The host you’re SSHing *from*, or the one you’re SSHing *to*? Does /etc/machine-id not exist on *either* host?
Comment 5 Niraj Kumar Pandey 2017-01-30 09:50:56 UTC
/etc/machine-id not exist on both the hosts while /var/lib/dbus/machine-id exist on both the hosts
Comment 6 Simon McVittie 2017-01-30 11:44:07 UTC
What version of libdbus is installed on each host?
Comment 7 Niraj Kumar Pandey 2017-01-30 11:55:57 UTC
1.1.2-14.el5  (machine from where I am doing ssh )

1.2.24-7.el6_3.x86_64 (Remote machine)
Comment 8 Simon McVittie 2017-01-30 12:34:30 UTC
(In reply to Niraj Kumar Pandey from comment #7)
> 1.1.2-14.el5  (machine from where I am doing ssh )
> 
> 1.2.24-7.el6_3.x86_64 (Remote machine)

These versions do not even have upstream security support any more. If you are using them because they are shipped by RHEL, please talk to RHEL; if you have modified them yourself, you're on your own.

(In reply to Niraj Kumar Pandey from comment #0)
> process 140178: D-Bus library appears to be incorrectly set up; failed to
> read machine uuid: Failed to open "/etc/machine-id": No such file or
> directory

Versions that old do not normally read /etc/machine-id at all (it was a new thing in 1.4, Bug #35228), so you must be dealing with a vendor-patched libdbus. Please talk to your vendor.

Relevant fixes include dbus 1.9.14 (commit 71c11a9e4) and dbus 1.8.2 (Bug #77941).

If RHEL have patched or configured libdbus to use /etc/machine-id, then they should ensure that /var/lib/dbus/machine-id is copied to /etc/machine-id on upgrade if /etc/machine-id does not exist.
Comment 9 Niraj Kumar Pandey 2017-01-30 12:46:49 UTC
You want me to install the latest version of dbus , use it and see does it work or not , right ?
Comment 10 Niraj Kumar Pandey 2017-02-06 10:41:53 UTC
The same thing is working fine on RHEL7 machine.Any idea about this
Comment 11 Simon McVittie 2017-02-06 12:28:07 UTC
(In reply to Niraj Kumar Pandey from comment #10)
> The same thing is working fine on RHEL7 machine.Any idea about this

This is a bug tracker, not a support forum. We are not your distribution vendor or your technical support provider.

For support, please consult your distribution vendor (that's Red Hat) or some organisation with which you have a support contract (possibly also Red Hat).

From what you've said it appears this is fixed in RHEL 7. If a bug is present in RHEL 5 or 6 but fixed in RHEL 7, the obvious course of action is to upgrade to RHEL 7. If you cannot do that and you want your vendor to backport a fix, that is something you should raise with the vendor, not with upstream projects.

(In reply to Niraj Kumar Pandey from comment #9)
> You want me to install the latest version of dbus , use it and see does it
> work or not , right ?

I would not recommend that without first talking to the OS vendor. Installing a new version of dbus on a platform that contains a vendor-modified version of dbus is likely to be problematic, because if it does not contain the same vendor patches, it might break the assumptions of the other software shipped by that vendor.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.